summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-08-30 14:03:56 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2017-08-30 23:22:42 +0200
commit54bf6557bb1d791f568aa63fa2f5c902fcdae475 (patch)
treec0e4a48e79bd9657a333c125eaf4f8887a905558 /gnustep-apps/gnumail
parentgnustep-libs/pantomime: 1.2.3 bump (diff)
downloadgentoo-54bf6557bb1d791f568aa63fa2f5c902fcdae475.tar.gz
gentoo-54bf6557bb1d791f568aa63fa2f5c902fcdae475.tar.bz2
gentoo-54bf6557bb1d791f568aa63fa2f5c902fcdae475.zip
gnustep-apps/gnumail: 1.2.3 bump
Point to new homepage, EAPI bump Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'gnustep-apps/gnumail')
-rw-r--r--gnustep-apps/gnumail/Manifest1
-rw-r--r--gnustep-apps/gnumail/gnumail-1.2.3.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/gnustep-apps/gnumail/Manifest b/gnustep-apps/gnumail/Manifest
index 30f40750d15..3e20e8ddad9 100644
--- a/gnustep-apps/gnumail/Manifest
+++ b/gnustep-apps/gnumail/Manifest
@@ -1 +1,2 @@
DIST GNUMail-1.2.2.tar.gz 1397764 SHA256 31a0c34c3afe20afb6b8ebc41002d2f9dbc2134ceda2032e67e64cb7d884d8af SHA512 3243c51eb177c1fabeeb894e6231e5ace09fb08fd0eb9d6311726bdebddc743e3b3958b4c00597e7eb97de7c2a25f1ca7e8f4111e7d543ecd65ee5f35bea89cc WHIRLPOOL 75dc05440ce08962cd5376d8faca143fb38dea77d4d6adec2e6a6eeffb2e9088b498404f6a80a1328200853b756b3215eb7049247a72a2972d7dec9390697dbe
+DIST GNUMail-1.2.3.tar.gz 1411658 SHA256 8221f0fe4f9ff2fdf0049b645586c819dff135de4f9e8f77742d94c1f0e5106b SHA512 5ee9b134b16c9aa8a7a0d4aff1e9d12a8c8d4f1f68c54d58cc354c3444a57a4c0bb31393886589ef83ae588789f00fd6e1313d01eb1f950af6623cc9ee42e598 WHIRLPOOL 115303a9b5a3f7b8d7861f54942e750cdc071c999e38d4a8338c9ab449728e65bcb3d837de02889f5993c0914b32f62b7e410da90c16a770aecdfd9946fcc256
diff --git a/gnustep-apps/gnumail/gnumail-1.2.3.ebuild b/gnustep-apps/gnumail/gnumail-1.2.3.ebuild
new file mode 100644
index 00000000000..5cfe2b71f6c
--- /dev/null
+++ b/gnustep-apps/gnumail/gnumail-1.2.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-2
+
+MY_P=${P/gnum/GNUM}
+
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="A fully featured mail application for GNUstep"
+HOMEPAGE="http://www.nongnu.org/gnustep-nonfsf/gnumail/index.html"
+SRC_URI="mirror://nongnu/gnustep-nonfsf/${MY_P}.tar.gz"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="crypt"
+DEPEND=">=gnustep-base/gnustep-gui-0.11.0
+ =gnustep-libs/pantomime-1.2*
+ gnustep-apps/addresses"
+RDEPEND="crypt? ( app-crypt/gnupg )"
+
+src_prepare() {
+ use crypt || sed -i -e 's|Bundles/PGP||' GNUmakefile || die
+
+ default
+}
+
+src_install() {
+ gnustep-base_src_install
+ dodoc "${S}"/Documentation/*
+}